[config]
num_di=0
num_do=0
num_rw=0
num_ro=283
num_roles=151
num_ot=2
num_di=0
dev_category=0
dev_rating=0.0
ro_fn=4
rw_poll_once=0
ro_multiblock=1
rw_multiblock=0
device_type_id=7593
name=Sungrow SG3300UD-SG4400UD Turnkey Station
description=Sungrow SG3300UD/SG4400UD/SG3300UD-20/SG4400UD-20/SG3300UD-21/SG4400UD-21 Turnkey Station
di_base_address=1
do_base_address=1
rw_base_address=1
ro_base_address=1
ro_var_0=kWh_Day_Active
ro_desc_0=Daily Generation
ro_p_0=0
ro_i_0=0
ro_reg_0=15072
ro_var_1=newreg2
ro_desc_1=undefined
ro_p_1=0
ro_i_1=0
ro_reg_1=15073
ro_var_2=kWh_Month_Active
ro_desc_2=Monthly Generation
ro_p_2=0
ro_i_2=0
ro_reg_2=15074
ro_var_3=newreg4
ro_desc_3=undefined
ro_p_3=0
ro_i_3=0
ro_reg_3=15075
ro_var_4=kWh_Total_Active
ro_desc_4=Lifetime Generation / Total Active Energy
ro_p_4=0
ro_i_4=0
ro_reg_4=15076
ro_var_5=newreg6
ro_desc_5=undefined
ro_p_5=0
ro_i_5=0
ro_reg_5=15077
ro_var_6=Total_CO2_Reduction
ro_desc_6=Total CO2 Emission Reduction
ro_p_6=0
ro_i_6=0
ro_reg_6=15078
ro_var_7=newreg8
ro_desc_7=undefined
ro_p_7=0
ro_i_7=0
ro_reg_7=15079
ro_var_8=Grid_Day_Runtime
ro_desc_8=Daily Grid Connection Time
ro_p_8=0
ro_i_8=0
ro_reg_8=15080
ro_var_9=h_Total_Runtime
ro_desc_9=Total Run Time
ro_p_9=0
ro_i_9=0
ro_reg_9=15081
ro_var_10=newreg11
ro_desc_10=undefined
ro_p_10=0
ro_i_10=0
ro_reg_10=15082
ro_var_11=newreg12
ro_desc_11=undefined
ro_p_11=0
ro_i_11=0
ro_reg_11=15083
ro_var_12=newreg13
ro_desc_12=undefined
ro_p_12=0
ro_i_12=0
ro_reg_12=15084
ro_var_13=newreg14
ro_desc_13=undefined
ro_p_13=0
ro_i_13=0
ro_reg_13=15085
ro_var_14=newreg15
ro_desc_14=undefined
ro_p_14=0
ro_i_14=0
ro_reg_14=15086
ro_var_15=newreg16
ro_desc_15=undefined
ro_p_15=0
ro_i_15=0
ro_reg_15=15087
ro_var_16=newreg17
ro_desc_16=undefined
ro_p_16=0
ro_i_16=0
ro_reg_16=15088
ro_var_17=newreg18
ro_desc_17=undefined
ro_p_17=0
ro_i_17=0
ro_reg_17=15089
ro_var_18=newreg19
ro_desc_18=undefined
ro_p_18=0
ro_i_18=0
ro_reg_18=15090
ro_var_19=DC_Power
ro_desc_19=Total DC Power
ro_p_19=0
ro_i_19=0
ro_reg_19=15091
ro_var_20=newreg21
ro_desc_20=undefined
ro_p_20=0
ro_i_20=0
ro_reg_20=15092
ro_var_21=AC_Voltage_AB
ro_desc_21=AC Voltage Phase A to Phase B
ro_p_21=0
ro_i_21=0
ro_reg_21=15093
ro_var_22=AC_Voltage_BC
ro_desc_22=AC Voltage Phase B to Phase C
ro_p_22=0
ro_i_22=0
ro_reg_22=15094
ro_var_23=AC_Voltage_CA
ro_desc_23=AC Voltage Phase C to Phase A
ro_p_23=0
ro_i_23=0
ro_reg_23=15095
ro_var_24=AC_Current_A
ro_desc_24=AC Current Phase A
ro_p_24=0
ro_i_24=0
ro_reg_24=15096
ro_var_25=AC_Current_B
ro_desc_25=AC Current Phase B
ro_p_25=0
ro_i_25=0
ro_reg_25=15097
ro_var_26=AC_Current_C
ro_desc_26=AC Current Phase C
ro_p_26=0
ro_i_26=0
ro_reg_26=15098
ro_var_27=AC_Active_Power
ro_desc_27=Total AC Active Power
ro_p_27=0
ro_i_27=0
ro_reg_27=15099
ro_var_28=newreg29
ro_desc_28=undefined
ro_p_28=0
ro_i_28=0
ro_reg_28=15100
ro_var_29=AC_Reactive_Power
ro_desc_29=Total AC Reactive Power
ro_p_29=0
ro_i_29=0
ro_reg_29=15101
ro_var_30=newreg31
ro_desc_30=undefined
ro_p_30=0
ro_i_30=0
ro_reg_30=15102
ro_var_31=AC_Apparent_Power
ro_desc_31=Total AC Apparent Power
ro_p_31=0
ro_i_31=0
ro_reg_31=15103
ro_var_32=newreg33
ro_desc_32=undefined
ro_p_32=0
ro_i_32=0
ro_reg_32=15104
ro_var_33=AC_PF
ro_desc_33=Total AC Power Factor
ro_p_33=0
ro_i_33=0
ro_reg_33=15105
ro_var_34=AC_Frequency
ro_desc_34=Total AC Frequency
ro_p_34=0
ro_i_34=0
ro_reg_34=15106
ro_var_35=rated var
ro_desc_35=undefined
ro_p_35=0
ro_i_35=0
ro_reg_35=15107
ro_var_36=pc active limit
ro_desc_36=undefined
ro_p_36=0
ro_i_36=0
ro_reg_36=15108
ro_var_37=newreg38
ro_desc_37=undefined
ro_p_37=0
ro_i_37=0
ro_reg_37=15109
ro_var_38=pc reactive limit
ro_desc_38=undefined
ro_p_38=0
ro_i_38=0
ro_reg_38=15110
ro_var_39=newreg40
ro_desc_39=undefined
ro_p_39=0
ro_i_39=0
ro_reg_39=15111
ro_var_40=pf limit
ro_desc_40=undefined
ro_p_40=0
ro_i_40=0
ro_reg_40=15112
ro_var_41=MV node status
ro_desc_41=undefined
ro_p_41=0
ro_i_41=0
ro_reg_41=15113
ro_var_42=kWh_Year_Active
ro_desc_42=Yearly Generation
ro_p_42=0
ro_i_42=0
ro_reg_42=15114
ro_var_43=newreg44
ro_desc_43=
ro_p_43=0
ro_i_43=0
ro_reg_43=15115
ro_var_44=Status_Code
ro_desc_44=Vendor-defined Operating State
ro_p_44=0
ro_i_44=0
ro_reg_44=15116
ro_var_45=newreg46
ro_desc_45=undefined
ro_p_45=0
ro_i_45=0
ro_reg_45=15117
ro_var_46=oil temperature
ro_desc_46=undefined
ro_p_46=0
ro_i_46=0
ro_reg_46=15118
ro_var_47=winding temperature
ro_desc_47=undefined
ro_p_47=0
ro_i_47=0
ro_reg_47=15119
ro_var_48=newreg49
ro_desc_48=undefined
ro_p_48=0
ro_i_48=0
ro_reg_48=15120
ro_var_49=newreg50
ro_desc_49=undefined
ro_p_49=0
ro_i_49=0
ro_reg_49=15121
ro_var_50=newreg51
ro_desc_50=undefined
ro_p_50=0
ro_i_50=0
ro_reg_50=15122
ro_var_51=newreg52
ro_desc_51=undefined
ro_p_51=0
ro_i_51=0
ro_reg_51=15123
ro_var_52=newreg53
ro_desc_52=undefined
ro_p_52=0
ro_i_52=0
ro_reg_52=15124
ro_var_53=MV node status 1
ro_desc_53=undefined
ro_p_53=0
ro_i_53=0
ro_reg_53=15125
ro_var_54=Event_Code
ro_desc_54=Vendor-defined Events and Errors
ro_p_54=0
ro_i_54=0
ro_reg_54=15126
ro_var_55=kWh_Day_Active_1
ro_desc_55=Daily Generation - Unit 1
ro_p_55=0
ro_i_55=undefined
ro_reg_55=15149
ro_var_56=newreg61
ro_desc_56=undefined
ro_p_56=0
ro_i_56=undefined
ro_reg_56=15150
ro_var_57=kWh_Month_Active_1
ro_desc_57=Monthly Generation - Unit 1
ro_p_57=0
ro_i_57=undefined
ro_reg_57=15151
ro_var_58=newreg63
ro_desc_58=undefined
ro_p_58=0
ro_i_58=undefined
ro_reg_58=15152
ro_var_59=kWh_Total_Active_1
ro_desc_59=Lifetime Generation / Total Active Energy - Unit 1
ro_p_59=0
ro_i_59=undefined
ro_reg_59=15153
ro_var_60=newreg65
ro_desc_60=undefined
ro_p_60=0
ro_i_60=undefined
ro_reg_60=15154
ro_var_61=Grid_Day_Runtime_1
ro_desc_61=Daily Grid Connection Time - Unit 1
ro_p_61=0
ro_i_61=undefined
ro_reg_61=15155
ro_var_62=Total_Runtime_1
ro_desc_62=Total Run Time - Unit 1
ro_p_62=0
ro_i_62=undefined
ro_reg_62=15156
ro_var_63=newreg68
ro_desc_63=undefined
ro_p_63=0
ro_i_63=undefined
ro_reg_63=15157
ro_var_64=Temperature_Internal_1
ro_desc_64=Inverter Temperature - Unit 1
ro_p_64=0
ro_i_64=undefined
ro_reg_64=15158
ro_var_65=DC_Voltage_1
ro_desc_65=Total DC Voltage - Unit 1
ro_p_65=0
ro_i_65=undefined
ro_reg_65=15159
ro_var_66=DC_Current_1
ro_desc_66=Total DC Current - Unit 1
ro_p_66=0
ro_i_66=undefined
ro_reg_66=15160
ro_var_67=DC_Power_1
ro_desc_67=Total DC Power - Unit 1
ro_p_67=0
ro_i_67=undefined
ro_reg_67=15161
ro_var_68=newreg73
ro_desc_68=undefined
ro_p_68=0
ro_i_68=undefined
ro_reg_68=15162
ro_var_69=AC_Voltage_AB_1
ro_desc_69=AC Voltage Phase A to Phase B - Unit 1
ro_p_69=0
ro_i_69=undefined
ro_reg_69=15163
ro_var_70=AC_Voltage_BC_1
ro_desc_70=AC Voltage Phase B to Phase C - Unit 1
ro_p_70=0
ro_i_70=undefined
ro_reg_70=15164
ro_var_71=AC_Voltage_CA_1
ro_desc_71=AC Voltage Phase C to Phase A - Unit 1
ro_p_71=0
ro_i_71=undefined
ro_reg_71=15165
ro_var_72=AC_Current_A_1
ro_desc_72=AC Current Phase A - Unit 1
ro_p_72=0
ro_i_72=undefined
ro_reg_72=15166
ro_var_73=AC_Current_B_1
ro_desc_73=AC Current Phase B - Unit 1
ro_p_73=0
ro_i_73=undefined
ro_reg_73=15167
ro_var_74=AC_Current_C_1
ro_desc_74=AC Current Phase C - Unit 1
ro_p_74=0
ro_i_74=undefined
ro_reg_74=15168
ro_var_75=AC_Active_Power_1
ro_desc_75=Total AC Active Power - Unit 1
ro_p_75=0
ro_i_75=undefined
ro_reg_75=15169
ro_var_76=newreg81
ro_desc_76=
ro_p_76=0
ro_i_76=undefined
ro_reg_76=15170
ro_var_77=AC_Reactive_Power_1
ro_desc_77=Total AC Reactive Power - Unit 1
ro_p_77=0
ro_i_77=undefined
ro_reg_77=15171
ro_var_78=newreg83
ro_desc_78=undefined
ro_p_78=0
ro_i_78=undefined
ro_reg_78=15172
ro_var_79=AC_PF_1
ro_desc_79=Total AC Power Factor - Unit 1
ro_p_79=0
ro_i_79=undefined
ro_reg_79=15173
ro_var_80=AC_Frequency_1
ro_desc_80=Total AC Frequency - Unit 1
ro_p_80=0
ro_i_80=undefined
ro_reg_80=15174
ro_var_81=Efficiency_1
ro_desc_81=Efficiency - Unit 1
ro_p_81=0
ro_i_81=undefined
ro_reg_81=15175
ro_var_82=newreg87
ro_desc_82=undefined
ro_p_82=0
ro_i_82=undefined
ro_reg_82=15176
ro_var_83=newreg88
ro_desc_83=undefined
ro_p_83=0
ro_i_83=undefined
ro_reg_83=15177
ro_var_84=newreg89
ro_desc_84=undefined
ro_p_84=0
ro_i_84=undefined
ro_reg_84=15178
ro_var_85=newreg90
ro_desc_85=undefined
ro_p_85=0
ro_i_85=undefined
ro_reg_85=15179
ro_var_86=newreg91
ro_desc_86=undefined
ro_p_86=0
ro_i_86=undefined
ro_reg_86=15180
ro_var_87=newreg92
ro_desc_87=undefined
ro_p_87=0
ro_i_87=undefined
ro_reg_87=15181
ro_var_88=newreg93
ro_desc_88=undefined
ro_p_88=0
ro_i_88=undefined
ro_reg_88=15182
ro_var_89=newreg94
ro_desc_89=undefined
ro_p_89=0
ro_i_89=undefined
ro_reg_89=15183
ro_var_90=newreg95
ro_desc_90=undefined
ro_p_90=0
ro_i_90=undefined
ro_reg_90=15184
ro_var_91=Fault_Code_1_1
ro_desc_91=Vendor-defined Events and Errors - Unit 1
ro_p_91=0
ro_i_91=undefined
ro_reg_91=15185
ro_var_92=newreg97
ro_desc_92=undefined
ro_p_92=0
ro_i_92=undefined
ro_reg_92=15186
ro_var_93=Fault_Code_1_2
ro_desc_93=Vendor-defined Events and Errors - Unit 1
ro_p_93=0
ro_i_93=undefined
ro_reg_93=15187
ro_var_94=newreg99
ro_desc_94=undefined
ro_p_94=0
ro_i_94=undefined
ro_reg_94=15188
ro_var_95=Fault_Code_1_3
ro_desc_95=Vendor-defined Events and Errors - Unit 1
ro_p_95=0
ro_i_95=undefined
ro_reg_95=15189
ro_var_96=newreg101
ro_desc_96=undefined
ro_p_96=0
ro_i_96=undefined
ro_reg_96=15190
ro_var_97=newreg102
ro_desc_97=
ro_p_97=0
ro_i_97=undefined
ro_reg_97=15191
ro_var_98=newreg103
ro_desc_98=undefined
ro_p_98=0
ro_i_98=undefined
ro_reg_98=15192
ro_var_99=Node_Code_1_1
ro_desc_99=Vendor-defined Operating State - Unit 1
ro_p_99=0
ro_i_99=undefined
ro_reg_99=15193
ro_var_100=newreg105
ro_desc_100=undefined
ro_p_100=0
ro_i_100=undefined
ro_reg_100=15194
ro_var_101=Node_Code_2_1
ro_desc_101=Vendor-defined Operating State - Unit 1
ro_p_101=0
ro_i_101=undefined
ro_reg_101=15195
ro_var_102=newreg106
ro_desc_102=undefined
ro_p_102=0
ro_i_102=undefined
ro_reg_102=15196
ro_var_103=Module_Temperature_1_1
ro_desc_103=Module Temperature 1 - Unit 1
ro_p_103=0
ro_i_103=undefined
ro_reg_103=15197
ro_var_104=Module_Temperature_1_2
ro_desc_104=Module Temperature 2 - Unit 1
ro_p_104=0
ro_i_104=undefined
ro_reg_104=15198
ro_var_105=Module_Temperature_1_3
ro_desc_105=Module Temperature 3 - Unit 1
ro_p_105=0
ro_i_105=undefined
ro_reg_105=15199
ro_var_106=Module_Temperature_1_4
ro_desc_106=Module Temperature 4 - Unit 1
ro_p_106=0
ro_i_106=undefined
ro_reg_106=15200
ro_var_107=Module_Temperature_1_5
ro_desc_107=Module Temperature 5 - Unit 1
ro_p_107=0
ro_i_107=undefined
ro_reg_107=15201
ro_var_108=Module_Temperature_1_6
ro_desc_108=Module Temperature 6 - Unit 1
ro_p_108=0
ro_i_108=undefined
ro_reg_108=15202
ro_var_109=kiloohm_Positive_1
ro_desc_109=Positive Pole to Earth Resistance - Unit 1
ro_p_109=0
ro_i_109=undefined
ro_reg_109=15203
ro_var_110=newreg115
ro_desc_110=undefined
ro_p_110=0
ro_i_110=undefined
ro_reg_110=15204
ro_var_111=kiloohm_Negative_1
ro_desc_111=Negative Pole to Earth Resistance - Unit 1
ro_p_111=0
ro_i_111=undefined
ro_reg_111=15205
ro_var_112=newreg117
ro_desc_112=undefined
ro_p_112=0
ro_i_112=undefined
ro_reg_112=15206
ro_var_113=Status_Code_1
ro_desc_113=Vendor-defined Operating State - Unit 1
ro_p_113=0
ro_i_113=undefined
ro_reg_113=15207
ro_var_114=newreg119
ro_desc_114=undefined
ro_p_114=0
ro_i_114=undefined
ro_reg_114=15208
ro_var_115=Alarm_Code_1
ro_desc_115=Vendor-defined Events and Errors - Unit 1
ro_p_115=0
ro_i_115=undefined
ro_reg_115=15209
ro_var_116=newreg121
ro_desc_116=undefined
ro_p_116=0
ro_i_116=undefined
ro_reg_116=15210
ro_var_117=Voltage_Negative_1
ro_desc_117=Negative Pole Voltage to Earth - Unit 1
ro_p_117=0
ro_i_117=undefined
ro_reg_117=15211
ro_var_118=newreg123
ro_desc_118=undefined
ro_p_118=0
ro_i_118=undefined
ro_reg_118=15212
ro_var_119=kWh_Year_Active_1
ro_desc_119=Yearly Generation - Unit 1
ro_p_119=0
ro_i_119=undefined
ro_reg_119=15213
ro_var_120=newreg125
ro_desc_120=undefined
ro_p_120=0
ro_i_120=undefined
ro_reg_120=15214
ro_var_121=kg_Total_CO2_Reduction_1
ro_desc_121=Total CO2 Emission Reduction - Unit 1
ro_p_121=0
ro_i_121=undefined
ro_reg_121=15215
ro_var_122=newreg127
ro_desc_122=undefined
ro_p_122=0
ro_i_122=undefined
ro_reg_122=15216
ro_var_123=Current_String_1_1
ro_desc_123=String 1 Current - Unit 1
ro_p_123=0
ro_i_123=undefined
ro_reg_123=15249
ro_var_124=Current_String_1_2
ro_desc_124=String 2 Current - Unit 1
ro_p_124=0
ro_i_124=undefined
ro_reg_124=15250
ro_var_125=Current_String_1_3
ro_desc_125=String 3 Current - Unit 1
ro_p_125=0
ro_i_125=undefined
ro_reg_125=15251
ro_var_126=Current_String_1_4
ro_desc_126=String 4 Current - Unit 1
ro_p_126=0
ro_i_126=undefined
ro_reg_126=15252
ro_var_127=Current_String_1_5
ro_desc_127=String 5 Current - Unit 1
ro_p_127=0
ro_i_127=undefined
ro_reg_127=15253
ro_var_128=Current_String_1_6
ro_desc_128=String 6 Current - Unit 1
ro_p_128=0
ro_i_128=undefined
ro_reg_128=15254
ro_var_129=Current_String_1_7
ro_desc_129=String 7 Current - Unit 1
ro_p_129=0
ro_i_129=undefined
ro_reg_129=15255
ro_var_130=Current_String_1_8
ro_desc_130=String 8 Current - Unit 1
ro_p_130=0
ro_i_130=undefined
ro_reg_130=15256
ro_var_131=kWh_Day_Active_2
ro_desc_131=Daily Generation - Unit 2
ro_p_131=0
ro_i_131=undefined
ro_reg_131=15269
ro_var_132=newreg137
ro_desc_132=
ro_p_132=0
ro_i_132=undefined
ro_reg_132=15270
ro_var_133=kWh_Month_Active_2
ro_desc_133=Monthly Generation - Unit 2
ro_p_133=0
ro_i_133=undefined
ro_reg_133=15271
ro_var_134=newreg139
ro_desc_134=undefined
ro_p_134=0
ro_i_134=undefined
ro_reg_134=15272
ro_var_135=kWh_Total_Active_2
ro_desc_135=Lifetime Generation / Total Active Energy - Unit 2
ro_p_135=0
ro_i_135=undefined
ro_reg_135=15273
ro_var_136=newreg141
ro_desc_136=undefined
ro_p_136=0
ro_i_136=undefined
ro_reg_136=15274
ro_var_137=min_Grid_Day_Active_2
ro_desc_137=Daily Grid Connection Time - Unit 2
ro_p_137=0
ro_i_137=undefined
ro_reg_137=15275
ro_var_138=h_Total_Runtime_2
ro_desc_138=Total Run Time - Unit 2
ro_p_138=0
ro_i_138=undefined
ro_reg_138=15276
ro_var_139=newreg144
ro_desc_139=undefined
ro_p_139=0
ro_i_139=undefined
ro_reg_139=15277
ro_var_140=Temperature_Internal_2
ro_desc_140=Inverter Temperature - Unit 1
ro_p_140=0
ro_i_140=undefined
ro_reg_140=15278
ro_var_141=DC_Voltage_2
ro_desc_141=Total DC Voltage - Unit 2
ro_p_141=0
ro_i_141=undefined
ro_reg_141=15279
ro_var_142=DC_Current_2
ro_desc_142=Total DC Current - Unit 2
ro_p_142=0
ro_i_142=undefined
ro_reg_142=15280
ro_var_143=DC_Power_2
ro_desc_143=Total DC Power - Unit 2
ro_p_143=0
ro_i_143=undefined
ro_reg_143=15281
ro_var_144=newreg149
ro_desc_144=undefined
ro_p_144=0
ro_i_144=undefined
ro_reg_144=15282
ro_var_145=AC_Voltage_AB_2
ro_desc_145=AC Voltage Phase A to Phase B - Unit 2
ro_p_145=0
ro_i_145=undefined
ro_reg_145=15283
ro_var_146=AC_Voltage_BC_2
ro_desc_146=AC Voltage Phase B to Phase C - Unit 2
ro_p_146=0
ro_i_146=undefined
ro_reg_146=15284
ro_var_147=AC_Voltage_CA_2
ro_desc_147=AC Voltage Phase C to Phase A - Unit 2
ro_p_147=0
ro_i_147=undefined
ro_reg_147=15285
ro_var_148=AC_Current_A_2
ro_desc_148=AC Current Phase A - Unit 2
ro_p_148=0
ro_i_148=undefined
ro_reg_148=15286
ro_var_149=AC_Current_B_2
ro_desc_149=AC Current Phase A - Unit 2
ro_p_149=0
ro_i_149=undefined
ro_reg_149=15287
ro_var_150=AC_Current_C_2
ro_desc_150=AC Current Phase A - Unit 2
ro_p_150=0
ro_i_150=undefined
ro_reg_150=15288
ro_var_151=AC_Active_Power_2
ro_desc_151=Total AC Active Power - Unit 2
ro_p_151=0
ro_i_151=undefined
ro_reg_151=15289
ro_var_152=newreg157
ro_desc_152=undefined
ro_p_152=0
ro_i_152=undefined
ro_reg_152=15290
ro_var_153=AC_Reactive_Power_2
ro_desc_153=Total AC Reactive Power - Unit 2
ro_p_153=0
ro_i_153=undefined
ro_reg_153=15291
ro_var_154=newreg159
ro_desc_154=undefined
ro_p_154=0
ro_i_154=undefined
ro_reg_154=15292
ro_var_155=AC_PF_2
ro_desc_155=Total AC Power Factor - Unit 2
ro_p_155=0
ro_i_155=undefined
ro_reg_155=15293
ro_var_156=AC_Frequency_2
ro_desc_156=Total AC Frequency - Unit 2
ro_p_156=0
ro_i_156=undefined
ro_reg_156=15294
ro_var_157=Efficiency_2
ro_desc_157=Efficiency - Unit 2
ro_p_157=0
ro_i_157=undefined
ro_reg_157=15295
ro_var_158=newreg163
ro_desc_158=undefined
ro_p_158=0
ro_i_158=undefined
ro_reg_158=15296
ro_var_159=newreg164
ro_desc_159=undefined
ro_p_159=0
ro_i_159=undefined
ro_reg_159=15297
ro_var_160=newreg165
ro_desc_160=undefined
ro_p_160=0
ro_i_160=undefined
ro_reg_160=15298
ro_var_161=newreg166
ro_desc_161=undefined
ro_p_161=0
ro_i_161=undefined
ro_reg_161=15299
ro_var_162=newreg167
ro_desc_162=undefined
ro_p_162=0
ro_i_162=undefined
ro_reg_162=15300
ro_var_163=newreg168
ro_desc_163=undefined
ro_p_163=0
ro_i_163=undefined
ro_reg_163=15301
ro_var_164=newreg169
ro_desc_164=undefined
ro_p_164=0
ro_i_164=undefined
ro_reg_164=15302
ro_var_165=newreg170
ro_desc_165=undefined
ro_p_165=0
ro_i_165=undefined
ro_reg_165=15303
ro_var_166=newreg171
ro_desc_166=undefined
ro_p_166=0
ro_i_166=undefined
ro_reg_166=15304
ro_var_167=Fault_Code_2_1
ro_desc_167=Vendor-defined Events and Errors - Unit 2
ro_p_167=0
ro_i_167=undefined
ro_reg_167=15305
ro_var_168=newreg173
ro_desc_168=undefined
ro_p_168=0
ro_i_168=undefined
ro_reg_168=15306
ro_var_169=Fault_Code_2_2
ro_desc_169=Vendor-defined Events and Errors - Unit 2
ro_p_169=0
ro_i_169=undefined
ro_reg_169=15307
ro_var_170=newreg175
ro_desc_170=undefined
ro_p_170=0
ro_i_170=undefined
ro_reg_170=15308
ro_var_171=Fault_Code_2_3
ro_desc_171=Vendor-defined Events and Errors - Unit 2
ro_p_171=0
ro_i_171=undefined
ro_reg_171=15309
ro_var_172=newreg177
ro_desc_172=undefined
ro_p_172=0
ro_i_172=undefined
ro_reg_172=15310
ro_var_173=newreg178
ro_desc_173=undefined
ro_p_173=0
ro_i_173=undefined
ro_reg_173=15311
ro_var_174=newreg179
ro_desc_174=undefined
ro_p_174=0
ro_i_174=undefined
ro_reg_174=15312
ro_var_175=Node_Code_2_1
ro_desc_175=Vendor-defined Operating State - Unit 2
ro_p_175=0
ro_i_175=undefined
ro_reg_175=15313
ro_var_176=newreg181
ro_desc_176=undefined
ro_p_176=0
ro_i_176=undefined
ro_reg_176=15314
ro_var_177=Node_Code_2_2
ro_desc_177=Vendor-defined Operating State - Unit 2
ro_p_177=0
ro_i_177=undefined
ro_reg_177=15315
ro_var_178=newreg183
ro_desc_178=undefined
ro_p_178=0
ro_i_178=undefined
ro_reg_178=15316
ro_var_179=Module_Temperature_2_1
ro_desc_179=Module Temperature 1 - Unit 2
ro_p_179=0
ro_i_179=undefined
ro_reg_179=15317
ro_var_180=Module_Temperature_2_2
ro_desc_180=Module Temperature 1 - Unit 2
ro_p_180=0
ro_i_180=undefined
ro_reg_180=15318
ro_var_181=Module_Temperature_2_3
ro_desc_181=Module Temperature 1 - Unit 2
ro_p_181=0
ro_i_181=undefined
ro_reg_181=15319
ro_var_182=Module_Temperature_2_4
ro_desc_182=Module Temperature 1 - Unit 2
ro_p_182=0
ro_i_182=undefined
ro_reg_182=15320
ro_var_183=Module_Temperature_2_5
ro_desc_183=Module Temperature 1 - Unit 2
ro_p_183=0
ro_i_183=undefined
ro_reg_183=15321
ro_var_184=Module_Temperature_2_6
ro_desc_184=Module Temperature 1 - Unit 2
ro_p_184=0
ro_i_184=undefined
ro_reg_184=15322
ro_var_185=kiloohm_Positive_2
ro_desc_185=Positive Pole to Earth Resistance - Unit 2
ro_p_185=0
ro_i_185=undefined
ro_reg_185=15323
ro_var_186=newreg191
ro_desc_186=undefined
ro_p_186=0
ro_i_186=undefined
ro_reg_186=15324
ro_var_187=kiloohm_Negative_2
ro_desc_187=Negative Pole to Earth Resistance - Unit 2
ro_p_187=0
ro_i_187=undefined
ro_reg_187=15325
ro_var_188=newreg193
ro_desc_188=undefined
ro_p_188=0
ro_i_188=undefined
ro_reg_188=15326
ro_var_189=Status_Code_2
ro_desc_189=Vendor-defined Operating State - Unit 2
ro_p_189=0
ro_i_189=undefined
ro_reg_189=15327
ro_var_190=newreg195
ro_desc_190=undefined
ro_p_190=0
ro_i_190=undefined
ro_reg_190=15328
ro_var_191=Alarm_Code_2
ro_desc_191=Vendor-defined Events and Errors - Unit 2
ro_p_191=0
ro_i_191=undefined
ro_reg_191=15329
ro_var_192=newreg197
ro_desc_192=undefined
ro_p_192=0
ro_i_192=undefined
ro_reg_192=15330
ro_var_193=Voltage_Negative_2
ro_desc_193=Negative Pole Voltage to Earth - Unit 2
ro_p_193=0
ro_i_193=undefined
ro_reg_193=15331
ro_var_194=kWh_Year_Active_2
ro_desc_194=Yearly Generation - Unit 2
ro_p_194=0
ro_i_194=undefined
ro_reg_194=15332
ro_var_195=newreg200
ro_desc_195=
ro_p_195=0
ro_i_195=undefined
ro_reg_195=15333
ro_var_196=newreg201
ro_desc_196=undefined
ro_p_196=0
ro_i_196=undefined
ro_reg_196=15334
ro_var_197=kg_Total_CO2_Reduction_2
ro_desc_197=Total CO2 Emission Reduction - Unit 2
ro_p_197=0
ro_i_197=undefined
ro_reg_197=15335
ro_var_198=newreg203
ro_desc_198=undefined
ro_p_198=0
ro_i_198=undefined
ro_reg_198=15336
ro_var_199=Current_String_2_1
ro_desc_199=String 1 Current - Unit 2
ro_p_199=0
ro_i_199=undefined
ro_reg_199=15369
ro_var_200=Current_String_2_2
ro_desc_200=String 2 Current - Unit 2
ro_p_200=0
ro_i_200=undefined
ro_reg_200=15370
ro_var_201=Current_String_2_3
ro_desc_201=String 3 Current - Unit 2
ro_p_201=0
ro_i_201=undefined
ro_reg_201=15371
ro_var_202=Current_String_2_4
ro_desc_202=String 4 Current - Unit 2
ro_p_202=0
ro_i_202=undefined
ro_reg_202=15372
ro_var_203=Current_String_2_5
ro_desc_203=String 5 Current - Unit 2
ro_p_203=0
ro_i_203=undefined
ro_reg_203=15373
ro_var_204=Current_String_2_6
ro_desc_204=String 6 Current - Unit 2
ro_p_204=0
ro_i_204=undefined
ro_reg_204=15374
ro_var_205=Current_String_2_7
ro_desc_205=String 7 Current - Unit 2
ro_p_205=0
ro_i_205=undefined
ro_reg_205=15375
ro_var_206=Current_String_2_8
ro_desc_206=String 8 Current - Unit 2
ro_p_206=0
ro_i_206=undefined
ro_reg_206=15376
ro_var_207=kWh_Day_Active_3
ro_desc_207=Daily Generation - Unit 3
ro_p_207=0
ro_i_207=undefined
ro_reg_207=15389
ro_var_208=newreg213
ro_desc_208=undefined
ro_p_208=0
ro_i_208=undefined
ro_reg_208=15390
ro_var_209=kWh_Month_Active_3
ro_desc_209=Monthly Generation - Unit 3
ro_p_209=0
ro_i_209=undefined
ro_reg_209=15391
ro_var_210=newreg215
ro_desc_210=undefined
ro_p_210=0
ro_i_210=undefined
ro_reg_210=15392
ro_var_211=kWh_Total_Active_3
ro_desc_211=Lifetime Generation / Total Active Energy - Unit 3
ro_p_211=0
ro_i_211=undefined
ro_reg_211=15393
ro_var_212=newreg217
ro_desc_212=undefined
ro_p_212=0
ro_i_212=undefined
ro_reg_212=15394
ro_var_213=min_Grid_Day_Active_3
ro_desc_213=Daily Grid Connection Time - Unit 3
ro_p_213=0
ro_i_213=undefined
ro_reg_213=15395
ro_var_214=h_Total_Runtime_3
ro_desc_214=Total Run Time - Unit 3
ro_p_214=0
ro_i_214=undefined
ro_reg_214=15396
ro_var_215=newreg220
ro_desc_215=undefined
ro_p_215=0
ro_i_215=undefined
ro_reg_215=15397
ro_var_216=Temperature_Internal_3
ro_desc_216=Inverter Temperature - Unit 3
ro_p_216=0
ro_i_216=undefined
ro_reg_216=15398
ro_var_217=DC_Voltage_3
ro_desc_217=Total DC Voltage - Unit 3
ro_p_217=0
ro_i_217=undefined
ro_reg_217=15399
ro_var_218=DC_Current_3
ro_desc_218=Total DC Current - Unit 3
ro_p_218=0
ro_i_218=undefined
ro_reg_218=15400
ro_var_219=DC_Power_3
ro_desc_219=Total DC Power - Unit 3
ro_p_219=0
ro_i_219=undefined
ro_reg_219=15401
ro_var_220=newreg225
ro_desc_220=undefined
ro_p_220=0
ro_i_220=undefined
ro_reg_220=15402
ro_var_221=AC_Voltage_AB_3
ro_desc_221=AC Voltage Phase A to Phase B - Unit 3
ro_p_221=0
ro_i_221=undefined
ro_reg_221=15403
ro_var_222=AC_Voltage_BC_3
ro_desc_222=AC Voltage Phase B to Phase C - Unit 3
ro_p_222=0
ro_i_222=undefined
ro_reg_222=15404
ro_var_223=AC_Voltage_CA_3
ro_desc_223=AC Voltage Phase C to Phase A - Unit 3
ro_p_223=0
ro_i_223=undefined
ro_reg_223=15405
ro_var_224=AC_Current_A_3
ro_desc_224=AC Current Phase A - Unit 3
ro_p_224=0
ro_i_224=undefined
ro_reg_224=15406
ro_var_225=AC_Current_B_3
ro_desc_225=AC Current Phase B - Unit 3
ro_p_225=0
ro_i_225=undefined
ro_reg_225=15407
ro_var_226=AC_Current_C_3
ro_desc_226=AC Current Phase C - Unit 3
ro_p_226=0
ro_i_226=undefined
ro_reg_226=15408
ro_var_227=AC_Active_Power_3
ro_desc_227=Total AC Active Power - Unit 3
ro_p_227=0
ro_i_227=undefined
ro_reg_227=15409
ro_var_228=newreg233
ro_desc_228=undefined
ro_p_228=0
ro_i_228=undefined
ro_reg_228=15410
ro_var_229=AC_Reactive_Power_3
ro_desc_229=Total AC Reactive Power - Unit 2
ro_p_229=0
ro_i_229=undefined
ro_reg_229=15411
ro_var_230=newreg235
ro_desc_230=undefined
ro_p_230=0
ro_i_230=undefined
ro_reg_230=15412
ro_var_231=AC_PF_3
ro_desc_231=Total AC Power Factor - Unit 3
ro_p_231=0
ro_i_231=undefined
ro_reg_231=15413
ro_var_232=AC_Frequency_3
ro_desc_232=Total AC Frequency - Unit 3
ro_p_232=0
ro_i_232=undefined
ro_reg_232=15414
ro_var_233=Efficiency_3
ro_desc_233=Efficiency - Unit 3
ro_p_233=0
ro_i_233=undefined
ro_reg_233=15415
ro_var_234=newreg239
ro_desc_234=undefined
ro_p_234=0
ro_i_234=undefined
ro_reg_234=15416
ro_var_235=newreg240
ro_desc_235=undefined
ro_p_235=0
ro_i_235=undefined
ro_reg_235=15417
ro_var_236=newreg241
ro_desc_236=undefined
ro_p_236=0
ro_i_236=undefined
ro_reg_236=15418
ro_var_237=newreg242
ro_desc_237=undefined
ro_p_237=0
ro_i_237=undefined
ro_reg_237=15419
ro_var_238=newreg243
ro_desc_238=undefined
ro_p_238=0
ro_i_238=undefined
ro_reg_238=15420
ro_var_239=newreg244
ro_desc_239=undefined
ro_p_239=0
ro_i_239=undefined
ro_reg_239=15421
ro_var_240=newreg245
ro_desc_240=undefined
ro_p_240=0
ro_i_240=undefined
ro_reg_240=15422
ro_var_241=newreg246
ro_desc_241=undefined
ro_p_241=0
ro_i_241=undefined
ro_reg_241=15423
ro_var_242=newreg247
ro_desc_242=undefined
ro_p_242=0
ro_i_242=undefined
ro_reg_242=15424
ro_var_243=Fault_Code_3_1
ro_desc_243=Vendor-defined Events and Errors - Unit 3
ro_p_243=0
ro_i_243=undefined
ro_reg_243=15425
ro_var_244=newreg249
ro_desc_244=undefined
ro_p_244=0
ro_i_244=undefined
ro_reg_244=15426
ro_var_245=Fault_Code_3_2
ro_desc_245=Vendor-defined Events and Errors - Unit 3
ro_p_245=0
ro_i_245=undefined
ro_reg_245=15427
ro_var_246=newreg251
ro_desc_246=undefined
ro_p_246=0
ro_i_246=undefined
ro_reg_246=15428
ro_var_247=Fault_Code_3_3
ro_desc_247=Vendor-defined Events and Errors - Unit 3
ro_p_247=0
ro_i_247=undefined
ro_reg_247=15429
ro_var_248=newreg253
ro_desc_248=undefined
ro_p_248=0
ro_i_248=undefined
ro_reg_248=15430
ro_var_249=newreg254
ro_desc_249=undefined
ro_p_249=0
ro_i_249=undefined
ro_reg_249=15431
ro_var_250=newreg255
ro_desc_250=undefined
ro_p_250=0
ro_i_250=undefined
ro_reg_250=15432
ro_var_251=Node_Code_3_1
ro_desc_251=Vendor-defined Operating State - Unit 3
ro_p_251=0
ro_i_251=undefined
ro_reg_251=15433
ro_var_252=newreg257
ro_desc_252=undefined
ro_p_252=0
ro_i_252=undefined
ro_reg_252=15434
ro_var_253=Node_Code_3_2
ro_desc_253=Vendor-defined Operating State - Unit 3
ro_p_253=0
ro_i_253=undefined
ro_reg_253=15435
ro_var_254=newreg259
ro_desc_254=undefined
ro_p_254=0
ro_i_254=undefined
ro_reg_254=15436
ro_var_255=Module_Temperature_3_1
ro_desc_255=Module Temperature 1 - Unit 3
ro_p_255=0
ro_i_255=undefined
ro_reg_255=15437
ro_var_256=Module_Temperature_3_2
ro_desc_256=Module Temperature 2 - Unit 3
ro_p_256=0
ro_i_256=undefined
ro_reg_256=15438
ro_var_257=Module_Temperature_3_3
ro_desc_257=Module Temperature 3 - Unit 3
ro_p_257=0
ro_i_257=undefined
ro_reg_257=15439
ro_var_258=Module_Temperature_3_4
ro_desc_258=Module Temperature 4 - Unit 3
ro_p_258=0
ro_i_258=undefined
ro_reg_258=15440
ro_var_259=Module_Temperature_3_5
ro_desc_259=Module Temperature 5 - Unit 3
ro_p_259=0
ro_i_259=undefined
ro_reg_259=15441
ro_var_260=Module_Temperature_3_6
ro_desc_260=Module Temperature 6 - Unit 3
ro_p_260=0
ro_i_260=undefined
ro_reg_260=15442
ro_var_261=kiloohm_Positive_3
ro_desc_261=Positive Pole to Earth Resistance - Unit 3
ro_p_261=0
ro_i_261=undefined
ro_reg_261=15443
ro_var_262=newreg267
ro_desc_262=undefined
ro_p_262=0
ro_i_262=undefined
ro_reg_262=15444
ro_var_263=kiloohm_Negative_3
ro_desc_263=Negative Pole to Earth Resistance - Unit 3
ro_p_263=0
ro_i_263=undefined
ro_reg_263=15445
ro_var_264=newreg269
ro_desc_264=undefined
ro_p_264=0
ro_i_264=undefined
ro_reg_264=15446
ro_var_265=Status_Code_3
ro_desc_265=Vendor-defined Operating State - Unit 3
ro_p_265=0
ro_i_265=undefined
ro_reg_265=15447
ro_var_266=newreg271
ro_desc_266=undefined
ro_p_266=0
ro_i_266=undefined
ro_reg_266=15448
ro_var_267=Alarm_Code_3
ro_desc_267=Vendor-defined Events and Errors - Unit 3
ro_p_267=0
ro_i_267=undefined
ro_reg_267=15449
ro_var_268=newreg273
ro_desc_268=undefined
ro_p_268=0
ro_i_268=undefined
ro_reg_268=15450
ro_var_269=Voltage_Negative_3
ro_desc_269=Negative Pole Voltage to Earth - Unit 3
ro_p_269=0
ro_i_269=undefined
ro_reg_269=15451
ro_var_270=newreg275
ro_desc_270=undefined
ro_p_270=0
ro_i_270=undefined
ro_reg_270=15452
ro_var_271=kWh_Year_Active_3
ro_desc_271=Yearly Generation - Unit 3
ro_p_271=0
ro_i_271=undefined
ro_reg_271=15453
ro_var_272=newreg277
ro_desc_272=undefined
ro_p_272=0
ro_i_272=undefined
ro_reg_272=15454
ro_var_273=kg_Total_CO2_Reduction_3
ro_desc_273=Total CO2 Emission Reduction - Unit 3
ro_p_273=0
ro_i_273=undefined
ro_reg_273=15455
ro_var_274=newreg279
ro_desc_274=undefined
ro_p_274=0
ro_i_274=undefined
ro_reg_274=15456
ro_var_275=Current_String_3_1
ro_desc_275=String 1 Current - Unit 3
ro_p_275=0
ro_i_275=undefined
ro_reg_275=15489
ro_var_276=Current_String_3_2
ro_desc_276=String 2 Current - Unit 3
ro_p_276=0
ro_i_276=undefined
ro_reg_276=15490
ro_var_277=Current_String_3_3
ro_desc_277=String 3 Current - Unit 3
ro_p_277=0
ro_i_277=undefined
ro_reg_277=15491
ro_var_278=Current_String_3_4
ro_desc_278=String 4 Current - Unit 3
ro_p_278=0
ro_i_278=undefined
ro_reg_278=15492
ro_var_279=Current_String_3_5
ro_desc_279=String 5 Current - Unit 3
ro_p_279=0
ro_i_279=undefined
ro_reg_279=15493
ro_var_280=Current_String_3_6
ro_desc_280=String 6 Current - Unit 3
ro_p_280=0
ro_i_280=undefined
ro_reg_280=15494
ro_var_281=Current_String_3_7
ro_desc_281=String 7 Current - Unit 3
ro_p_281=0
ro_i_281=undefined
ro_reg_281=15495
ro_var_282=Current_String_3_8
ro_desc_282=String 8 Current - Unit 3
ro_p_282=0
ro_i_282=undefined
ro_reg_282=15496
role_var_0=AC_Active_Power
role_type_0=26
role_idx_0=27
role_scale_0=1
role_var_1=AC_Reactive_Power
role_type_1=26
role_idx_1=29
role_scale_1=1
role_var_2=AC_Apparent_Power
role_type_2=24
role_idx_2=31
role_scale_2=1
role_var_3=kWh_Total_Active
role_type_3=24
role_idx_3=4
role_scale_3=1
role_var_4=kWh_Day_Active
role_type_4=24
role_idx_4=0
role_scale_4=10
role_var_5=kWh_Month_Active
role_type_5=24
role_idx_5=2
role_scale_5=1
role_var_6=kWh_Year_Active
role_type_6=24
role_idx_6=42
role_scale_6=1
role_var_7=Total_CO2_Reduction
role_type_7=24
role_idx_7=6
role_scale_7=1
role_var_8=Grid_Day_Runtime
role_type_8=31
role_idx_8=8
role_scale_8=1
role_var_9=Total_Runtime
role_type_9=24
role_idx_9=9
role_scale_9=1
role_var_10=DC_Power
role_type_10=26
role_idx_10=19
role_scale_10=1
role_var_11=AC_Voltage_AB
role_type_11=31
role_idx_11=21
role_scale_11=10
role_var_12=AC_Voltage_BC
role_type_12=31
role_idx_12=22
role_scale_12=10
role_var_13=AC_Voltage_CA
role_type_13=31
role_idx_13=23
role_scale_13=10
role_var_14=AC_Current_A
role_type_14=31
role_idx_14=24
role_scale_14=10
role_var_15=AC_Current_B
role_type_15=31
role_idx_15=25
role_scale_15=10
role_var_16=AC_Current_C
role_type_16=31
role_idx_16=26
role_scale_16=10
role_var_17=AC_PF
role_type_17=2
role_idx_17=33
role_scale_17=1000
role_var_18=AC_Frequency
role_type_18=31
role_idx_18=34
role_scale_18=10
role_var_19=Status_Code
role_type_19=24
role_idx_19=44
role_scale_19=1
role_var_20=Event_Code
role_type_20=31
role_idx_20=54
role_scale_20=1
role_var_21=kWh_Day_Active_1
role_type_21=24
role_idx_21=55
role_scale_21=10
role_var_22=kWh_Month_Active_1
role_type_22=24
role_idx_22=57
role_scale_22=1
role_var_23=kWh_Total_Active_1
role_type_23=24
role_idx_23=59
role_scale_23=1
role_var_24=kWh_Year_Active_1
role_type_24=24
role_idx_24=119
role_scale_24=1
role_var_25=Grid_Day_Runtime_1
role_type_25=31
role_idx_25=61
role_scale_25=1
role_var_26=Total_Runtime_1
role_type_26=24
role_idx_26=62
role_scale_26=1
role_var_27=Temperature_Internal_1
role_type_27=2
role_idx_27=64
role_scale_27=10
role_var_28=DC_Voltage_1
role_type_28=31
role_idx_28=65
role_scale_28=10
role_var_29=DC_Current_1
role_type_29=31
role_idx_29=66
role_scale_29=10
role_var_30=DC_Power_1
role_type_30=26
role_idx_30=67
role_scale_30=1
role_var_31=AC_Voltage_AB_1
role_type_31=31
role_idx_31=69
role_scale_31=10
role_var_32=AC_Voltage_BC_1
role_type_32=31
role_idx_32=70
role_scale_32=10
role_var_33=AC_Voltage_CA_1
role_type_33=31
role_idx_33=71
role_scale_33=10
role_var_34=AC_Current_A_1
role_type_34=31
role_idx_34=72
role_scale_34=10
role_var_35=AC_Current_B_1
role_type_35=31
role_idx_35=73
role_scale_35=10
role_var_36=AC_Current_C_1
role_type_36=31
role_idx_36=74
role_scale_36=10
role_var_37=AC_Active_Power_1
role_type_37=24
role_idx_37=75
role_scale_37=1
role_var_38=AC_Reactive_Power_1
role_type_38=24
role_idx_38=77
role_scale_38=1
role_var_39=AC_PF_1
role_type_39=2
role_idx_39=79
role_scale_39=1000
role_var_40=AC_Frequency_1
role_type_40=31
role_idx_40=80
role_scale_40=10
role_var_41=Efficiency_1
role_type_41=31
role_idx_41=81
role_scale_41=10
role_var_42=Fault_Code_1_1
role_type_42=24
role_idx_42=91
role_scale_42=1
role_var_43=Fault_Code_1_2
role_type_43=24
role_idx_43=93
role_scale_43=1
role_var_44=Fault_Code_1_3
role_type_44=24
role_idx_44=95
role_scale_44=1
role_var_45=Module_Temperature_1_1
role_type_45=2
role_idx_45=103
role_scale_45=10
role_var_46=Module_Temperature_1_2
role_type_46=2
role_idx_46=104
role_scale_46=10
role_var_47=Module_Temperature_1_3
role_type_47=2
role_idx_47=105
role_scale_47=10
role_var_48=Module_Temperature_1_4
role_type_48=2
role_idx_48=106
role_scale_48=10
role_var_49=Module_Temperature_1_5
role_type_49=2
role_idx_49=107
role_scale_49=10
role_var_50=Module_Temperature_1_6
role_type_50=2
role_idx_50=108
role_scale_50=10
role_var_51=Resistance_Positive_1
role_type_51=24
role_idx_51=109
role_scale_51=100
role_var_52=Resistance_Negative_1
role_type_52=24
role_idx_52=111
role_scale_52=100
role_var_53=Status_Code_1
role_type_53=24
role_idx_53=113
role_scale_53=1
role_var_54=Alarm_Code_1
role_type_54=24
role_idx_54=115
role_scale_54=1
role_var_55=Voltage_Negative_1
role_type_55=2
role_idx_55=117
role_scale_55=10
role_var_56=Total_CO2_Reduction_1
role_type_56=24
role_idx_56=121
role_scale_56=1
role_var_57=Current_String_1_1
role_type_57=2
role_idx_57=123
role_scale_57=10
role_var_58=Current_String_1_2
role_type_58=2
role_idx_58=124
role_scale_58=10
role_var_59=Current_String_1_3
role_type_59=2
role_idx_59=125
role_scale_59=10
role_var_60=Current_String_1_4
role_type_60=2
role_idx_60=126
role_scale_60=10
role_var_61=Current_String_1_5
role_type_61=2
role_idx_61=127
role_scale_61=10
role_var_62=Current_String_1_6
role_type_62=2
role_idx_62=128
role_scale_62=10
role_var_63=Current_String_1_8
role_type_63=2
role_idx_63=130
role_scale_63=10
role_var_64=kWh_Day_Active_2
role_type_64=24
role_idx_64=131
role_scale_64=10
role_var_65=kWh_Month_Active_2
role_type_65=24
role_idx_65=133
role_scale_65=1
role_var_66=kWh_Total_Active_2
role_type_66=24
role_idx_66=135
role_scale_66=1
role_var_67=Grid_Day_Runtime_2
role_type_67=31
role_idx_67=137
role_scale_67=1
role_var_68=Total_Runtime_2
role_type_68=24
role_idx_68=138
role_scale_68=1
role_var_69=Temperature_Internal_2
role_type_69=2
role_idx_69=140
role_scale_69=10
role_var_70=DC_Voltage_2
role_type_70=31
role_idx_70=141
role_scale_70=10
role_var_71=DC_Current_2
role_type_71=31
role_idx_71=142
role_scale_71=10
role_var_72=DC_Power_2
role_type_72=26
role_idx_72=143
role_scale_72=1
role_var_73=AC_Voltage_AB_2
role_type_73=31
role_idx_73=145
role_scale_73=10
role_var_74=AC_Voltage_BC_2
role_type_74=31
role_idx_74=146
role_scale_74=10
role_var_75=AC_Voltage_CA_2
role_type_75=31
role_idx_75=147
role_scale_75=10
role_var_76=AC_Current_A_2
role_type_76=31
role_idx_76=148
role_scale_76=10
role_var_77=AC_Current_B_2
role_type_77=31
role_idx_77=149
role_scale_77=10
role_var_78=AC_Current_C_2
role_type_78=31
role_idx_78=150
role_scale_78=10
role_var_79=AC_Active_Power_2
role_type_79=26
role_idx_79=151
role_scale_79=1
role_var_80=AC_Reactive_Power_2
role_type_80=26
role_idx_80=153
role_scale_80=1
role_var_81=AC_PF_2
role_type_81=2
role_idx_81=155
role_scale_81=1000
role_var_82=AC_Frequency_2
role_type_82=31
role_idx_82=156
role_scale_82=10
role_var_83=Efficiency_2
role_type_83=31
role_idx_83=157
role_scale_83=10
role_var_84=Fault_Code_2_1
role_type_84=24
role_idx_84=167
role_scale_84=1
role_var_85=Fault_Code_2_2
role_type_85=24
role_idx_85=169
role_scale_85=1
role_var_86=Fault_Code_2_3
role_type_86=24
role_idx_86=171
role_scale_86=1
role_var_87=Module_Temperature_2_1
role_type_87=2
role_idx_87=179
role_scale_87=10
role_var_88=Module_Temperature_2_2
role_type_88=2
role_idx_88=180
role_scale_88=10
role_var_89=Module_Temperature_2_3
role_type_89=2
role_idx_89=181
role_scale_89=10
role_var_90=Module_Temperature_2_4
role_type_90=2
role_idx_90=182
role_scale_90=10
role_var_91=Module_Temperature_2_5
role_type_91=2
role_idx_91=183
role_scale_91=10
role_var_92=Module_Temperature_2_6
role_type_92=2
role_idx_92=184
role_scale_92=10
role_var_93=Resistance_Positive_2
role_type_93=24
role_idx_93=185
role_scale_93=100
role_var_94=Resistance_Negative_2
role_type_94=24
role_idx_94=187
role_scale_94=100
role_var_95=Status_Code_2
role_type_95=24
role_idx_95=189
role_scale_95=1
role_var_96=Alarm_Code_2
role_type_96=24
role_idx_96=191
role_scale_96=1
role_var_97=Voltage_Negative_2
role_type_97=2
role_idx_97=193
role_scale_97=10
role_var_98=Total_CO2_Reduction_2
role_type_98=24
role_idx_98=197
role_scale_98=1
role_var_99=Current_String_2_1
role_type_99=2
role_idx_99=199
role_scale_99=10
role_var_100=Current_String_2_2
role_type_100=2
role_idx_100=200
role_scale_100=10
role_var_101=Current_String_2_3
role_type_101=2
role_idx_101=201
role_scale_101=10
role_var_102=Current_String_2_4
role_type_102=2
role_idx_102=202
role_scale_102=10
role_var_103=Current_String_2_5
role_type_103=2
role_idx_103=203
role_scale_103=10
role_var_104=Current_String_2_6
role_type_104=2
role_idx_104=204
role_scale_104=10
role_var_105=Current_String_2_7
role_type_105=2
role_idx_105=205
role_scale_105=10
role_var_106=Current_String_2_8
role_type_106=2
role_idx_106=206
role_scale_106=10
role_var_107=kWh_Day_Active_3
role_type_107=24
role_idx_107=207
role_scale_107=10
role_var_108=kWh_Month_Active_3
role_type_108=24
role_idx_108=209
role_scale_108=1
role_var_109=kWh_Total_Active_3
role_type_109=24
role_idx_109=211
role_scale_109=1
role_var_110=kWh_Year_Active_3
role_type_110=24
role_idx_110=271
role_scale_110=1
role_var_111=Grid_Day_Runtime_2
role_type_111=31
role_idx_111=213
role_scale_111=1
role_var_112=Total_Runtime_3
role_type_112=24
role_idx_112=214
role_scale_112=1
role_var_113=Temperature_Internal_3
role_type_113=2
role_idx_113=216
role_scale_113=10
role_var_114=DC_Voltage_3
role_type_114=31
role_idx_114=217
role_scale_114=10
role_var_115=DC_Current_3
role_type_115=31
role_idx_115=218
role_scale_115=10
role_var_116=DC_Power_3
role_type_116=26
role_idx_116=219
role_scale_116=1
role_var_117=AC_Voltage_AB_3
role_type_117=31
role_idx_117=221
role_scale_117=10
role_var_118=AC_Voltage_BC_3
role_type_118=31
role_idx_118=222
role_scale_118=10
role_var_119=AC_Voltage_CA_3
role_type_119=31
role_idx_119=223
role_scale_119=10
role_var_120=AC_Current_A_3
role_type_120=31
role_idx_120=224
role_scale_120=10
role_var_121=AC_Current_B_3
role_type_121=31
role_idx_121=225
role_scale_121=10
role_var_122=AC_Current_C_3
role_type_122=31
role_idx_122=226
role_scale_122=10
role_var_123=AC_Active_Power_3
role_type_123=26
role_idx_123=227
role_scale_123=1
role_var_124=AC_Reactive_Power_3
role_type_124=24
role_idx_124=229
role_scale_124=1
role_var_125=AC_PF_3
role_type_125=2
role_idx_125=231
role_scale_125=1000
role_var_126=AC_Frequency_3
role_type_126=31
role_idx_126=232
role_scale_126=10
role_var_127=Efficiency_3
role_type_127=31
role_idx_127=233
role_scale_127=10
role_var_128=Fault_Code_3_1
role_type_128=24
role_idx_128=243
role_scale_128=1
role_var_129=Fault_Code_3_2
role_type_129=24
role_idx_129=245
role_scale_129=1
role_var_130=Fault_Code_3_3
role_type_130=24
role_idx_130=247
role_scale_130=1
role_var_131=Module_Temperature_3_1
role_type_131=2
role_idx_131=255
role_scale_131=10
role_var_132=Module_Temperature_3_2
role_type_132=2
role_idx_132=256
role_scale_132=10
role_var_133=Module_Temperature_3_3
role_type_133=2
role_idx_133=257
role_scale_133=10
role_var_134=Module_Temperature_3_4
role_type_134=2
role_idx_134=258
role_scale_134=10
role_var_135=Module_Temperature_3_5
role_type_135=2
role_idx_135=259
role_scale_135=10
role_var_136=Module_Temperature_3_6
role_type_136=2
role_idx_136=260
role_scale_136=10
role_var_137=Resistance_Positive_3
role_type_137=24
role_idx_137=261
role_scale_137=100
role_var_138=Resistance_Negative_3
role_type_138=24
role_idx_138=263
role_scale_138=100
role_var_139=Status_Code_3
role_type_139=24
role_idx_139=265
role_scale_139=1
role_var_140=Alarm_Code_3
role_type_140=24
role_idx_140=267
role_scale_140=1
role_var_141=Voltage_Negative_3
role_type_141=2
role_idx_141=269
role_scale_141=10
role_var_142=Total_CO2_Reduction_3
role_type_142=24
role_idx_142=273
role_scale_142=1
role_var_143=Current_String_3_1
role_type_143=2
role_idx_143=275
role_scale_143=10
role_var_144=Current_String_3_2
role_type_144=2
role_idx_144=276
role_scale_144=10
role_var_145=Current_String_3_3
role_type_145=2
role_idx_145=277
role_scale_145=10
role_var_146=Current_String_3_4
role_type_146=2
role_idx_146=278
role_scale_146=10
role_var_147=Current_String_3_5
role_type_147=2
role_idx_147=279
role_scale_147=10
role_var_148=Current_String_3_6
role_type_148=2
role_idx_148=280
role_scale_148=10
role_var_149=Current_String_3_7
role_type_149=2
role_idx_149=281
role_scale_149=10
role_var_150=Current_String_3_8
role_type_150=2
role_idx_150=282
role_scale_150=10
ot_type_0=0
ot_func_0=4
ot_address_0=15003
ot_count_0=8
ot_type_1=1
ot_func_1=4
ot_address_1=15011
ot_count_1=8

